# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "egui_pinger"
version = "0.1.0"
authors = ["Volodymyr M. Lisivka <vlisivka@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Simple pinger for multiple servers with grap and jitter."
readme = "README.md"
keywords = [
    "egui",
    "ping",
]
license = "GPL-3.0-or-later"
repository = "https://github.com/vlisivka/egui_pinger"

[[bin]]
name = "egui_pinger"
path = "src/main.rs"

[dependencies.eframe]
version = "0.31"
features = ["persistence"]

[dependencies.egui_extras]
version = "0.31"
features = ["all_loaders"]

[dependencies.egui_plot]
version = "0.31"

[dependencies.futures]
version = "0.3"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.surge-ping]
version = "0.8"

[dependencies.tokio]
version = "1.38"
features = [
    "rt-multi-thread",
    "macros",
    "time",
]

[profile.release]
opt-level = "z"
lto = true
codegen-units = 1
strip = true
